apiVersion: v1
kind: Namespace
metadata:
  name: ns-web-ruan

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: web-server
  namespace: ns-web-ruan
  labels:
    app: nginx
spec:
  replicas: 3
  strategy:
    rollingUpdate:
      maxSurge: 50%
      maxUnavailable: 30%
    type: RollingUpdate
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - image: image-trocar
        name: ct-01
        ports:
        - containerPort: 80
          name: http
          protocol: TCP

---
apiVersion: v1
kind: Service
metadata:
  name: web-server
  namespace: ns-web-ruan
spec:
  ports:
  - name: http
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: nginx
  type: ClusterIP

---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: entrada-nginx
  namespace: ns-web-ruan
spec:
  ingressClassName: nginx
  rules:
  - host: ruan-web.jacexperts.io
    http:
      paths:
      - backend:
          service:
            name: web-server
            port:
              number: 80
        path: /
        pathType: Prefix
